POST Contact
Some tooltip text!
• 17 minutes to read
• 17 minutes to read
POST /api/v1/Contact
Creates a new ContactEntity
Calls the Contact agent service SaveContactEntity. NsApiSlow threshold: 2000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category" Default = show all fields. |
POST /api/v1/Contact?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: newEntity
The ContactEntity to be saved.
| Property Name | Type | Description |
|---|---|---|
| ContactId | Integer | Primary key |
| Name | String | Contact name |
| Department | String | Department |
| OrgNr | String | VAT number or similar |
| Number1 | String | Alphanumeric user field |
| Number2 | String | Alphanumeric user field |
| UpdatedDate | String | Date last updated in UTC. |
| CreatedDate | String | Date registered in UTC. |
| Emails | Array | The contact's email |
| Interests | Array | The contact's available and selected interests. |
| Urls | Array | The contact's internet adresses |
| Phones | Array | The contact's phone numbers |
| Faxes | Array | The contact's fax numbers |
| Description | String | Description of the contact. Usually shown as a postit note. |
| UpdatedBy | Associate | The user that last updated the contact |
| CreatedBy | Associate | The user that created the contact |
| Associate | Associate | The user that owns this contact. |
| Business | Business | The business that the contact is associated with. The GUI forces the user to enter a business type. |
| Category | Category | The category that is set on the company. The GUI forces the user to enter a category type |
| Country | Country | The country this contact is located in. The country a contact is saved with, affects the phone number format, and the address layout. |
| Persons | Array | The persons belonging to the contact. |
| NoMailing | Boolean | Spam filter. Indicates if this contact should retrieve advertising. |
| Kananame | String | Contact kana name, used in Japanese versions only |
| Xstop | Boolean | STOP flag |
| ActiveInterests | Integer | The number of active interests. |
| GroupId | Integer | Group id of original owning associate, semantics like appnt.grp_id |
| ActiveStatusMonitorId | Integer | Active status monitor identity with the lowest rank for contact |
| SupportAssociate | Associate | |
| TicketPriority | TicketPriority | |
| CustomerLanguage | CustomerLanguage | customerlanguage |
| Deleted | Integer | If nonzero, then this contact is 'deleted' and should generally not be shown |
| DbiAgentId | Integer | Integration agent (eJournal) |
| DbiLastSyncronized | String | Last external syncronization. |
| DbiKey | String | The primary key for the integrated entry in the external datasource. |
| DbiLastModified | String | When the entry was last modified. |
| SupportPerson | Person | Carrier object for Person. Services for the Person Carrier is available from the |
| Address | Address | Street and/or Postal address, in both formatted and structured forms. You only need to modify one of the two for the change to be registered. |
| Source | Integer | How did we get this contact? For future integration needs |
| ActiveErpLinks | Integer | The number of active erp links |
| BounceEmails | Array | Email addresses with a positive bounce counter. |
| Domains | Array | Web domains for this contact, ordered in array by rank |
| UtmParameters | SavedUtmParameters | Utm parameters when creating first person and contact, readonly field |
| UserDefinedFields | Object | Deprecated: Use {SuperOffice.CRM.Services.ContactEntity.CustomFields} instead. Dictionary of user defined field data. The key string is the ProgId of the UdefField, or if the ProgId is empty it is a string of the format "SuperOffice:[UdefFieldIdentity]", e.g. "SuperOffice:1234" |
| ExtraFields | Object | Deprecated: Use {SuperOffice.CRM.Services.ContactEntity.CustomFields} instead. Extra fields added to the carrier. This could be data from Plug-ins, the foreign key system, external applications, etc. |
| CustomFields | Object | Udef + Extra fields added to the carrier. Extra fields as defined by changes to database schema + user-defined fields as defined by admin. Custom fields combines user defined fields and extra fields into one bucket. The individual {SuperOffice.CRM.Services.ContactEntity.ExtraFields} and |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: ContactEntityWithLinks
| Property Name | Type | Description |
|---|---|---|
| ContactId | int32 | Primary key |
| Name | string | Contact name |
| Department | string | Department |
| OrgNr | string | VAT number or similar |
| Number1 | string | Alphanumeric user field |
| Number2 | string | Alphanumeric user field |
| UpdatedDate | date-time | Date last updated in UTC. |
| CreatedDate | date-time | Date registered in UTC. |
| Emails | array | The contact's email |
| Interests | array | The contact's available and selected interests. Use MDO List name "contint" to get list items. |
| Urls | array | The contact's internet adresses |
| Phones | array | The contact's phone numbers |
| Faxes | array | The contact's fax numbers |
| Description | string | Description of the contact. Usually shown as a postit note. |
| UpdatedBy | Associate | The user that last updated the contact |
| CreatedBy | Associate | The user that created the contact |
| Associate | Associate | The user that owns this contact. Use MDO List name "associate" to get list items. |
| Business | Business | The business that the contact is associated with. The GUI forces the user to enter a business type. Use MDO List name "business" to get list items. |
| Category | Category | The category that is set on the company. The GUI forces the user to enter a category type Use MDO List name "category" to get list items. |
| Country | Country | The country this contact is located in. The country a contact is saved with, affects the phone number format, and the address layout. Use MDO List name "country" to get list items. |
| Persons | array | The persons belonging to the contact. |
| NoMailing | bool | Spam filter. Indicates if this contact should retrieve advertising. |
| Kananame | string | Contact kana name, used in Japanese versions only |
| Xstop | bool | STOP flag |
| ActiveInterests | int32 | The number of active interests. |
| GroupId | int32 | Group id of original owning associate, semantics like appnt.grp_id |
| ActiveStatusMonitorId | int32 | Active status monitor identity with the lowest rank for contact |
| SupportAssociate | Associate | Use MDO List name "associate" to get list items. |
| TicketPriority | TicketPriority | Use MDO List name "ticketpriority" to get list items. |
| CustomerLanguage | CustomerLanguage | customerlanguage |
| Deleted | int32 | If nonzero, then this contact is 'deleted' and should generally not be shown |
| DbiAgentId | int32 | Integration agent (eJournal) |
| DbiLastSyncronized | date-time | Last external syncronization. |
| DbiKey | string | The primary key for the integrated entry in the external datasource. |
| DbiLastModified | date-time | When the entry was last modified. |
| SupportPerson | Person | Carrier object for Person. Services for the Person Carrier is available from the Person Agent. |
| Address | Address | Street and/or Postal address, in both formatted and structured forms. You only need to modify one of the two for the change to be registered. Carrier object for Address. |
| Source | int32 | How did we get this contact? For future integration needs |
| ActiveErpLinks | int32 | The number of active erp links |
| BounceEmails | array | Email addresses with a positive bounce counter. |
| Domains | array | Web domains for this contact, ordered in array by rank |
| UtmParameters | SavedUtmParameters | Utm parameters when creating first person and contact, readonly field |
| UserDefinedFields | object | Deprecated: Use {SuperOffice.CRM.Services.ContactEntity.CustomFields} instead. Dictionary of user defined field data. The key string is the ProgId of the UdefField, or if the ProgId is empty it is a string of the format "SuperOffice:[UdefFieldIdentity]", e.g. "SuperOffice:1234" |
| ExtraFields | object | Deprecated: Use {SuperOffice.CRM.Services.ContactEntity.CustomFields} instead. Extra fields added to the carrier. This could be data from Plug-ins, the foreign key system, external applications, etc. |
| CustomFields | object | Udef + Extra fields added to the carrier. Extra fields as defined by changes to database schema + user-defined fields as defined by admin. Custom fields combines user defined fields and extra fields into one bucket. The individual {SuperOffice.CRM.Services.ContactEntity.ExtraFields} and UserDefinedFields properties are deprecated in favor of this combined collection. |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
| _Links | object |
Sample request
POST /api/v1/Contact
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv
Content-Type: application/json; charset=utf-8
{
"ContactId": 361,
"Name": "McCullough-Kertzmann",
"Department": "",
"OrgNr": "1402916",
"Number1": "619775",
"Number2": "1065722",
"UpdatedDate": "2011-06-29T14:34:01.7290195+02:00",
"CreatedDate": "2016-05-12T14:34:01.7290195+02:00",
"Emails": [
{
"Value": "aut",
"StrippedValue": "laborum",
"Description": "Customer-focused next generation pricing structure"
},
{
"Value": "aut",
"StrippedValue": "laborum",
"Description": "Customer-focused next generation pricing structure"
}
],
"Interests": [
{
"Id": 74,
"Name": "Kshlerin-Gerhold",
"ToolTip": "Ea nulla odio.",
"Deleted": false,
"Rank": 394,
"Type": "aut",
"ColorBlock": 156,
"IconHint": "eaque",
"Selected": true,
"LastChanged": "2020-03-19T14:34:01.7300191+01:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "ratione",
"StyleHint": "vero",
"Hidden": false,
"FullName": "Leola Hahn"
}
],
"Urls": [
{
"Value": "quisquam",
"StrippedValue": "illum",
"Description": "Devolved assymetric paradigm"
},
{
"Value": "quisquam",
"StrippedValue": "illum",
"Description": "Devolved assymetric paradigm"
}
],
"Phones": [
{
"Value": "explicabo",
"StrippedValue": "error",
"Description": "Face to face content-based architecture"
},
{
"Value": "explicabo",
"StrippedValue": "error",
"Description": "Face to face content-based architecture"
}
],
"Faxes": [
{
"Value": "et",
"StrippedValue": "quod",
"Description": "Managed didactic pricing structure"
},
{
"Value": "et",
"StrippedValue": "quod",
"Description": "Managed didactic pricing structure"
}
],
"Description": "Enterprise-wide logistical projection",
"UpdatedBy": null,
"CreatedBy": null,
"Associate": null,
"Business": null,
"Category": null,
"Country": null,
"Persons": [
{
"Position": "non",
"PersonId": 49,
"Mrmrs": "praesentium",
"Firstname": "Rahul",
"Lastname": "Gottlieb",
"MiddleName": "Kub-Koelpin",
"Title": "quidem",
"Description": "Mandatory stable support",
"Email": "pinkie.west@erdman.uk",
"FullName": "Ms. Pearline Matt Haley DDS",
"DirectPhone": "(639)711-5676 x73893",
"FormalName": "Dicki-Kuhic",
"CountryId": 289,
"ContactId": 60,
"ContactName": "Baumbach LLC",
"Retired": 806,
"Rank": 332,
"ActiveInterests": 755,
"ContactDepartment": "",
"ContactCountryId": 492,
"ContactOrgNr": "617390",
"FaxPhone": "1-265-819-7258 x8242",
"MobilePhone": "1-374-216-7039",
"ContactPhone": "676.895.0821 x78982",
"AssociateName": "Weber, Schneider and Abernathy",
"AssociateId": 311,
"UsePersonAddress": false,
"ContactFax": "ea",
"Kanafname": "quaerat",
"Kanalname": "aliquam",
"Post1": "doloribus",
"Post2": "ut",
"Post3": "iusto",
"EmailName": "erika.damore@orngreen.biz",
"ContactFullName": "Emelie Bartoletti",
"ActiveErpLinks": 752,
"TicketPriorityId": 707,
"SupportLanguageId": 215,
"SupportAssociateId": 733,
"CategoryName": "VIP Customer",
"PersonNumber": "1346475"
}
],
"NoMailing": true,
"Kananame": "aliquam",
"Xstop": false,
"ActiveInterests": 160,
"GroupId": 821,
"ActiveStatusMonitorId": 371,
"SupportAssociate": null,
"TicketPriority": null,
"CustomerLanguage": null,
"Deleted": 218,
"DbiAgentId": 582,
"DbiLastSyncronized": "2000-02-24T14:34:01.7340196+01:00",
"DbiKey": "magni",
"DbiLastModified": "2006-08-06T14:34:01.7340196+02:00",
"SupportPerson": null,
"Address": null,
"Source": 353,
"ActiveErpLinks": 219,
"BounceEmails": [
"lucinda@nitzsche.ca",
"emerald.fay@abernathy.name"
],
"Domains": [
"fugiat",
"qui"
],
"UtmParameters": null,
"UserDefinedFields": {
"SuperOffice:1": "Anahi Zieme I",
"SuperOffice:2": "Elton Kertzmann"
},
"ExtraFields": {
"ExtraFields1": "rerum",
"ExtraFields2": "vel"
},
"CustomFields": {
"CustomFields1": "iure",
"CustomFields2": "laboriosam"
}
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"ContactId": 343,
"Name": "Global Industries Ltd",
"Department": "Sales",
"OrgNr": "1096549",
"Number1": "486899",
"Number2": "1028939",
"UpdatedDate": "2010-07-18T14:34:01.7430535+02:00",
"CreatedDate": "2006-07-18T14:34:01.7430535+02:00",
"Emails": [
{
"Value": "corrupti",
"StrippedValue": "vel",
"Description": "Profound local conglomeration",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 473
}
}
},
{
"Value": "corrupti",
"StrippedValue": "vel",
"Description": "Profound local conglomeration",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 473
}
}
}
],
"Interests": [
{
"Id": 652,
"Name": "Digital Services Co",
"ToolTip": "Inventore veritatis necessitatibus debitis assumenda accusamus voluptatem.",
"Deleted": true,
"Rank": 227,
"Type": "sed",
"ColorBlock": 913,
"IconHint": "unde",
"Selected": false,
"LastChanged": "2016-10-01T14:34:01.7440541+02:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "ratione",
"StyleHint": "fugiat",
"Hidden": true,
"FullName": "Louisa Bradtke III",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 971
}
}
}
],
"Urls": [
{
"Value": "necessitatibus",
"StrippedValue": "voluptatem",
"Description": "Virtual responsive software",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 395
}
}
},
{
"Value": "necessitatibus",
"StrippedValue": "voluptatem",
"Description": "Virtual responsive software",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 395
}
}
}
],
"Phones": [
{
"Value": "doloribus",
"StrippedValue": "numquam",
"Description": "Decentralized regional internet solution",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 953
}
}
},
{
"Value": "doloribus",
"StrippedValue": "numquam",
"Description": "Decentralized regional internet solution",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 953
}
}
}
],
"Faxes": [
{
"Value": "inventore",
"StrippedValue": "voluptas",
"Description": "Managed 24/7 project",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 10
}
}
},
{
"Value": "inventore",
"StrippedValue": "voluptas",
"Description": "Managed 24/7 project",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 10
}
}
}
],
"Description": "Assimilated intermediate software",
"UpdatedBy": null,
"CreatedBy": null,
"Associate": null,
"Business": null,
"Category": null,
"Country": null,
"Persons": [
{
"Position": "cum",
"PersonId": 906,
"Mrmrs": "saepe",
"Firstname": "Ervin",
"Lastname": "Ankunding",
"MiddleName": "Wolff Group",
"Title": "tempore",
"Description": "Switchable client-driven customer loyalty",
"Email": "roselyn_walker@reillydaniel.biz",
"FullName": "Dr. Gladyce Lilla Denesik V",
"DirectPhone": "024-550-4040 x25565",
"FormalName": "Harris-Conn",
"CountryId": 182,
"ContactId": 492,
"ContactName": "Medhurst, Watsica and Quitzon",
"Retired": 998,
"Rank": 721,
"ActiveInterests": 877,
"ContactDepartment": "",
"ContactCountryId": 9,
"ContactOrgNr": "1147040",
"FaxPhone": "(203)413-2419",
"MobilePhone": "1-959-878-9059",
"ContactPhone": "349-198-3349 x0467",
"AssociateName": "Kilback-Torp",
"AssociateId": 633,
"UsePersonAddress": true,
"ContactFax": "sequi",
"Kanafname": "quis",
"Kanalname": "ipsam",
"Post1": "voluptatem",
"Post2": "quia",
"Post3": "incidunt",
"EmailName": "horacio@turcotte.biz",
"ContactFullName": "Nya Harvey",
"ActiveErpLinks": 434,
"TicketPriorityId": 954,
"SupportLanguageId": 47,
"SupportAssociateId": 944,
"CategoryName": "VIP Customer",
"PersonNumber": "461871",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 553
}
}
}
],
"NoMailing": false,
"Kananame": "vel",
"Xstop": true,
"ActiveInterests": 109,
"GroupId": 692,
"ActiveStatusMonitorId": 337,
"SupportAssociate": null,
"TicketPriority": null,
"CustomerLanguage": null,
"Deleted": 138,
"DbiAgentId": 618,
"DbiLastSyncronized": "1998-11-12T14:34:01.7490538+01:00",
"DbiKey": "blanditiis",
"DbiLastModified": "2017-12-08T14:34:01.7490538+01:00",
"SupportPerson": null,
"Address": null,
"Source": 1,
"ActiveErpLinks": 784,
"BounceEmails": [
"stephen_heathcote@hagenes.com",
"dalton_yost@legros.com"
],
"Domains": [
"ut",
"consectetur"
],
"UtmParameters": null,
"UserDefinedFields": {
"SuperOffice:1": "Hillary Batz",
"SuperOffice:2": "Ms. Roxanne Ray Ondricka V"
},
"ExtraFields": {
"ExtraFields1": "veniam",
"ExtraFields2": "voluptas"
},
"CustomFields": {
"CustomFields1": "sit",
"CustomFields2": "qui"
},
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 539
}
},
"_Links": {
"Self": "https://www.example.com/api/v1/contact/321",
"Archive": "https://www.example.com/api/v1/contact"
}
}